GTK2 fails to compile ( was Re: [jp] compile problem .99.7)

kbboykin at comcast.net kbboykin at comcast.net
Mon Mar 8 11:57:33 EST 2004


I have tried to compile with GTK2 under SuSE 9.0 and it continues to ask for gtk2 >= 2.0.8. I have gkt2-2.2.3 installed. Does gkt2 support not work under SuSE 9.0?

Thanks. 

Keith
> Try just putting gtk-config in your path if it isn't already and not 
> using the --with-gtk-prefix.  gtk-config should tell configure where it 
> is at.
> 
> Judd
> 
> Rick Lapp wrote:
> > Currently running jpilot .99.6 without gtk. 
> > 
> > In Suse 9.0, kde 3.1 kernel 2.4.21-192
> > 
> > My gtk-config location and version:
> > lin22:/opt/gnome/bin # ./gtk-config --version
> > 1.2.10
> > gtk-config and gtk-demo seem to work ok. 
> > 
> > compile jpilot with:
> > lin22:./configure --prefix=/usr --with-gtk-prefix=/opt/gnome/
> > 
> > Also tried a sym link for gtk-config in /usr/bin and compile with:
> > configure -prefix=/usr
> > still returns gtk errors. 
> > 
> > errors:
> > ...................
> > checking for gtk-config... no
> > checking for GTK - version >= 1.2.0... no
> > *** The gtk-config script installed by GTK could not be found
> > *** If GTK was installed in PREFIX, make sure PREFIX/bin is in
> > *** your path, or set the GTK_CONFIG environment variable to the
> > *** full path to gtk-config.
> > configure: error: *** GTK >= 1.2.0 not found ***
> > 
> > make returns many erros complaining about gtk.
> > Any ideas?
> > Rick
> > 
> _______________________________________________
> Public archival of this list without notice is prohibited.                     
> 
> jpilot mailing list
> jpilot at jpilot.org
> http://www.jpilot.org/mailman/listinfo/jpilot



More information about the Jpilot mailing list